%define Werror_cflags %nil

Name:		inkscape
Summary:	A vector-based drawing program using SVG
Version:	0.48.2
Release:	5
License:	GPLv2+
Group:		Graphics
URL:		http://inkscape.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
Patch0:		inkscape-0.48.1-libpng15.patch
BuildRequires:  png-devel
BuildRequires:  libxml2-devel >= 2.6.0
BuildRequires:	libgc-devel >= 6.4
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libxslt-devel >= 1.0.15
BuildRequires:	libgnomeprintui-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	gtkspell-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	python-devel
BuildRequires:	perl
BuildRequires:  perl-devel
BuildRequires:  loudmouth-devel
BuildRequires:	expat-devel
BuildRequires:	desktop-file-utils
BuildRequires:	lcms-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	autoconf2.5 automake
BuildRequires:	intltool
BuildRequires:	boost-devel
BuildRequires:	libpoppler-glib-devel
BuildRequires:	cairo-devel
BuildRequires:	libwpg-devel
BuildRequires:	popt-devel
BuildRequires:	imagemagick-devel
BuildRequires:	gsl-devel
Requires: python-pyxml, python-lxml
Requires: pstoedit
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils

%description
Inkscape is a generic SVG-based vector-drawing program.

Inkscape uses the W3C SVG (= "Scalable Vector Graphics") standard as its
native file format. Therefore, it is a very useful tool for web designers
and can be used as an interchange format for desktop publishing.

%prep
%setup -q -a1 -n %name-%version
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--with-python \
	--with-perl
%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/inkscape/
%{_mandir}/man1/*
%{_mandir}/*/man1/*
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Thu Dec 29 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.48.2-5
+ Revision: 748154
- new mandriva packaging policy

* Mon Oct 24 2011 Alexander Barakin <abarakin@mandriva.org> 0.48.2-4
+ Revision: 705894
- pstoedit requirment add. see #57740

* Thu Oct 06 2011 Oden Eriksson <oeriksson@mandriva.com> 0.48.2-3
+ Revision: 703259
- fix build against libpng-1.5.x (mageia)
- attempt to relink against libpng15.so.15

* Sat Jul 09 2011 Funda Wang <fwang@mandriva.org> 0.48.2-1
+ Revision: 689403
- New version 0.48.2
- drop merged patches

* Mon May 02 2011 Funda Wang <fwang@mandriva.org> 0.48.1-3
+ Revision: 662297
- add fedora patches to build with latest wpd

* Fri Mar 11 2011 Funda Wang <fwang@mandriva.org> 0.48.1-2
+ Revision: 643737
- rebuild for new poppler

* Sun Feb 06 2011 Funda Wang <fwang@mandriva.org> 0.48.1-1
+ Revision: 636421
- New version 0.48.1

* Thu Dec 30 2010 Funda Wang <fwang@mandriva.org> 0.48.0-3mdv2011.0
+ Revision: 626335
- add upstream fix for poppler 0.16.0
- rebuild for new poppler

* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 0.48.0-2mdv2011.0
+ Revision: 571802
- rebuild for new poppler

* Sat Aug 14 2010 Funda Wang <fwang@mandriva.org> 0.48.0-1mdv2011.0
+ Revision: 569765
- New version 0.48.0
  * no other distroare using unviconvertor
  * cxxinclude patch not needed
  * poppler patch merged already

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 0.47-5mdv2011.0
+ Revision: 566256
- rebuild for new poppler

* Sat Jul 17 2010 Funda Wang <fwang@mandriva.org> 0.47-4mdv2011.0
+ Revision: 554585
- rebuild
- build with popt
- rebuild for new imagemagick

  + Shlomi Fish <shlomif@mandriva.org>
    - Revise the description to make it better English

* Thu Jan 14 2010 Funda Wang <fwang@mandriva.org> 0.47-2mdv2010.1
+ Revision: 491146
- rebuild for new imagemagick

* Thu Nov 26 2009 Pascal Terjan <pterjan@mandriva.org> 0.47-1mdv2010.1
+ Revision: 470389
- Add a patch fixing build against poppler 0.12.2
- Update to 0.47 final

* Sun Nov 08 2009 Lev Givon <lev@mandriva.org> 0.47-0.pre4.1mdv2010.1
+ Revision: 463125
- Update to 0.47pre4.

* Tue Oct 06 2009 Lev Givon <lev@mandriva.org> 0.47-0.pre3.1mdv2010.0
+ Revision: 454410
- Update to 0.47pre3.

* Thu Sep 03 2009 Pascal Terjan <pterjan@mandriva.org> 0.47-0.pre2.1mdv2010.0
+ Revision: 428248
- Update to 0.47 pre2

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Rebuild against new perl

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 0.46-12mdv2010.0
+ Revision: 377635
- fix build with gcc 4.4
- remove old configure options
- fix adjustments with current gtk

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 0.46-11mdv2010.0
+ Revision: 377606
- fix makefile
- rebuild for new poppler

* Wed Jan 28 2009 Götz Waschk <waschk@mandriva.org> 0.46-10mdv2009.1
+ Revision: 335033
- rebuild for new libmagick

* Wed Jan 14 2009 Jérôme Soyer <saispo@mandriva.org> 0.46-9mdv2009.1
+ Revision: 329551
- Rebuild with python2.6

* Sun Sep 28 2008 Frederik Himpe <fhimpe@mandriva.org> 0.46-8mdv2009.0
+ Revision: 289079
- Fix perl support build with perl 5.10
- Fix build with libmagick++
- Add mime type for compressed svg files to desktop files and don't
  add extension to icon name

* Fri Sep 26 2008 Oden Eriksson <oeriksson@mandriva.com> 0.46-7mdv2009.0
+ Revision: 288617
- rebuild against the correct version of the libgc library

* Thu Sep 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.46-6mdv2009.0
+ Revision: 283941
- Add patches from Debian and Fedora
  * fixing build with poppler 0.8.3 and gtk+ 2.13 and include fixes
  * fixing crash with zh_CN locale when using gtk+ file chooser
  * fixing gtk+ file dialog not showing last used directory

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu May 01 2008 Funda Wang <fwang@mandriva.org> 0.46-5mdv2009.0
+ Revision: 199793
- rebuild

* Wed Apr 23 2008 Giuseppe Ghibò <ghibo@mandriva.com> 0.46-4mdv2009.0
+ Revision: 196789
- Add support for ImageMagick in BuildRequires. Sound inkscape configure detect
  is broken with Magick++.h, so need to pass through CPPFLAGS.

* Tue Apr 22 2008 Lev Givon <lev@mandriva.org> 0.46-3mdv2009.0
+ Revision: 196597
- lxml is needed to run Inkscape extensions.

* Sun Apr 20 2008 Pascal Terjan <pterjan@mandriva.org> 0.46-2mdv2009.0
+ Revision: 195955
- Add more missing buildrequires to get all features

* Sun Apr 20 2008 Pascal Terjan <pterjan@mandriva.org> 0.46-1mdv2009.0
+ Revision: 195913
- BuildRequires boost-devel
- Update to 0.46

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 0.45.1-5mdv2008.1
+ Revision: 163569
- add ubuntu patch to have it built against latest glib
- drop old menu

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 17 2007 Pascal Terjan <pterjan@mandriva.org> 0.45.1-4mdv2008.0
+ Revision: 89124
- Update BuildRequires as liblcms was renamed to lcms
- Drop icon extension in .desktop
- Have inkscape in the main part of the menu under KDE
- Fix build with new intltool
- Fix build with new sigc++

* Tue Jul 03 2007 Michael Scherer <misc@mandriva.org> 0.45.1-3mdv2008.0
+ Revision: 47534
- rebuild for new glib

* Fri Jun 22 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.45.1-2mdv2008.0
+ Revision: 43219
- Added autotools patch: update to work with current autotools scheme.
- Rebuild against new glib

* Tue May 15 2007 Funda Wang <fwang@mandriva.org> 0.45.1-1mdv2008.0
+ Revision: 26827
- Patch1 merged upsream.
- New upstream version

